import { Component, Input, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

class RatingComponent {
    constructor() {
        this.numberOfStars = 0;
    }
    /**
     * @return {?}
     */
    ngOnInit() {
    }
    /**
     * @return {?}
     */
    getNumberOfStars() {
        return Array(parseInt(this.numberOfStars + '', 10) || 0);
    }
}
RatingComponent.decorators = [
    { type: Component, args: [{
                selector: 'app-rating',
                template: `
    <span class="rating">
      <span *ngFor="let i of getNumberOfStars()"><strong>★</strong></span>
    </span>
  `,
                styles: [`
    .rating {
      color: #F3AC19;
    }
  `]
            },] },
];
/**
 * @nocollapse
 */
RatingComponent.ctorParameters = () => [];
RatingComponent.propDecorators = {
    'numberOfStars': [{ type: Input },],
};

class RatingModule {
}
RatingModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule
                ],
                declarations: [RatingComponent],
                exports: [RatingComponent],
            },] },
];
/**
 * @nocollapse
 */
RatingModule.ctorParameters = () => [];

/**
 * Generated bundle index. Do not edit.
 */

export { RatingModule, RatingComponent };
//# sourceMappingURL=viseo-rating.js.map
